<?xml version="1.0" encoding="UTF-8"?>
<Configuration
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    user="gempro"
    path="Global/GEMPILOT-Global">

  <FunctionManager
      name="GEMPILOT-Global"
      hostname="cmsrc-gem.cms" port="20000"
      qualifiedResourceType="rcms.fm.resource.qualifiedresource.FunctionManager"
      role="GEM"
      sourceURL="http://cmsrc-gem.cms:20000/functionmanagers/gemfm.jar"
      className="rcms.fm.app.gemfm.GEMFunctionManager">

    <!-- Job control -->

    <Service
        name="jobcontrol"
        hostname="gem-daq01.cms" port="9999"
        urn="/urn:xdaq-application:lid=10"
        qualifiedResourceType="rcms.fm.resource.qualifiedresource.JobControl"
        role="GEM" />

    <!-- xDAQ executive -->

    <!-- Log file: /gemdata/log/gem-daq01-20100-[date]-[session ID].log -->
    <XdaqExecutive
        hostname="gem-daq01.cms" port="20100"
        urn="/urn:xdaq-application:lid=0"
        qualifiedResourceType="rcms.fm.resource.qualifiedresource.XdaqExecutive"
        role="GEM"
        instance="0"
        logLevel="INFO"
        customLogFilePath="/gemdata/log/gem-daq01-20100"
        pathToExecutive="/opt/xdaq/bin/xdaq.exe -e /usr/share/cmsgemos/cmsgemos.profile"
        unixUser="gempro"
        environmentString="HOME=/nfshome0/gempro LD_LIBRARY_PATH=/opt/xdaq/lib:/opt/cactus/lib PATH=/opt/xdaq/bin:/opt/cactus/bin/amc13:/opt/cactus/bin XDAQ_ROOT=/opt/xdaq XDAQ_DOCUMENT_ROOT=/opt/xdaq/htdocs GEM_ADDRESS_TABLE_PATH=/etc/gem AMC13_ADDRESS_TABLE_PATH=/opt/cactus/etc/amc13 DATA_PATH=/gemdata DIM_DNS_NODE=gem-daq01.cms,gem-daq02.cms">
      <configFile location="file">GEMPILOT-Global-xDAQ.xml</configFile>
    </XdaqExecutive>

    <!-- xDAQ applications -->

    <XdaqApplication
        className="gem::supervisor:GEMSupervisor" instance="000"
        hostname="gem-daq01.cms" port="20100"
        urn="/urn:xdaq-application:lid=1000"
        qualifiedResourceType="rcms.fm.resource.qualifiedresource.XdaqApplication"
        role="GEM" />

    <XdaqApplication
        className="gem::calibration::Calibration" instance="000"
        hostname="gem-daq01.cms" port="20100"
        urn="/urn:xdaq-application:lid=2000"
        qualifiedResourceType="rcms.fm.resource.qualifiedresource.XdaqApplication"
        role="GEM" />

  </FunctionManager>

</Configuration>
